Bug 204178 - Konsole does not display bold characters
Konsole does not display bold characters
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-08-26 09:22 EDT by Boyan Anastasov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-12 05:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boyan Anastasov 2006-08-26 09:22:32 EDT
Description of problem:

After upgrading to kdebase-3.5.4-4.fc6 (rawhide) Bold characters appear as
Regular style.

Version-Release number of selected component (if applicable):
Fedora Core rawhide, kdebase-3.5.4-4.fc6 and up.

How reproducible:
From konsole menu, Settings->Font->Select I'm choosing MiscFixed Bold, Size 13.
Result: Bold characters appear as Normal style. Tested with other fonts too.

Additional info:
There is similar bugzilla #203221 for FC5, which was fixed according to Comment
#1. I added comment that this is not fixed but didn't noticed that it is about
FC5. Anyway - status is Closed, so nobody is reading this BZ anymore. I think
the proposed patch is wrong. In the KDE SNV repository there is a patch for this
problem and looks different:


           ef_re = cu_re;

 	   //ef_re = cu_re & (RE_UNDERLINE | RE_BLINK);
Comment 1 Boyan Anastasov 2006-08-31 04:25:16 EDT
I recompiled kdebase without this patch and now bold characters are back.
(this is part of kdebase-3.5.4-konsole-bz#203221.patch)

--- konsole/konsole/TEWidget.cpp        (Revision 570193)
+++ konsole/konsole/TEWidget.cpp        (Revision 570194)
@@ -677,6 +677,18 @@

   // Paint text
+  if (attr->r & RE_BOLD)
+  {
+    QFont currentFont = paint.font();
+    currentFont.setBold(true);
+    paint.setFont( currentFont );
+  } else {
+    QFont currentFont = paint.font();
+    currentFont.setBold(false);
+    paint.setFont( currentFont );
+  }
   if (!(blinking && (attr->r & RE_BLINK)))
     // ### Disabled for now, since it causes problems with characters
Comment 2 Ngo Than 2006-09-12 05:01:51 EDT
it's now fixed in new KDE upstream. The fix will be included in 
kdebase-3.5.4-8. Thanks for you report.

Note You need to log in before you can comment on or make changes to this bug.